#include <errno.h>
#include <stdio.h>
#include <string.h>
#include <hrtime.h>
#include <unistd.h>

int
main(int argc, char *argv[])
{
    hrtime_t current;
    struct hrtime_struct *hr;
    int error;

    error = hrtime_init();
    if (error < 0)
    {
        printf("Error: %s\n", strerror(error));
	exit(1);
    }

    error = get_hrtime_struct(0, &hr);
    if (error < 0)
    {
        printf("Error: %s\n", strerror(error));
	exit(1);
    }

    while (1)
    {
        get_hrvtime(hr, &current);
        printf("get_hrvtime: %10lld\n", current);
	sleep(1);
    }
    
    free_hrtime_struct(hr);

    return 0;
}
